Road Cross Section Lisp Free Download

/ Comments off
VOLUTIL.LSP
------------------------
(defun c:ad()
(setq layer_number (getstring 'Enter No. Of Layer :'))
  1. Free Lisp For Autocad
  2. Free Lisp Book
  3. Road Cross Section Lisp Free Download Filehippo
  4. Free Download Lisp Autocad
  5. Road Cross Section Lisp Free Download 64-bit
;settings
(setq topo_layer 'topography_line_of_ff')
(setq proj_layer 'project_line_of_ff')
(setq area_layer (strcat 'area' layer_number))
(setq excavation_level_layer (strcat 'exc_lev' layer_number))
(setq area_layer_color '242')
(command 'layer' 'thaw' '*'
'on' '*'
'
'
)

Profiles.lsp Free AutoLISP for AutoCAD More Free AutoLISP and Visual LISP code snippets for AutoCAD Here is a series of blog posts that among other bootstrap deployment tips shows the usage of these commands. 4.2 Design Type Cross-Sections Figure 4.1 gives an overview of the cross-sections and shows the progression from single lane road (Type 6) to dual 3-lane road (Type 1). Figures 4.2 – 4.7 repeat the standard cross-sections but give further information, including the design capacity and the options available for handling NMVs. Download this free CAD drawing of a road cross section. This CAD model can be used in your highway design CAD drawings. (AutoCAD 2004 format) Our free CAD block library is regularly updated. Hi friends, any body have a lisp programme for creating a line profile and chainage. I have attached a sample drawing, line have elevation and lines are drawn from the datum.If i mannually draw it will take too much time. If anybody have please send me thanks Please find the drawing and the.


(command 'layer' 'm' area_layer
's' area_layer
'c' area_layer_color
'
'
)
(setq lay1 (strcat proj_layer layer_number))
(setq lay2 (strcat topo_layer layer_number))
;freez/off all layers except current layer
(command 'layer' 'f' '*' ')

;thaw and on proj_line and topo_line and excavation_level of current number of layers
(command 'layer' 'thaw' lay2 'on' lay2 ')
; (command 'layer' 'thaw' excavation_level_layer 'on'
; excavation_level_layer ')
(command 'layer' 'thaw' lay1 'on' lay1 ')
)
;**********************************************************
; ALI-ZAMIR ROSHAN , TEHRAN UNIVERSITY
; FACULTY OF ENGINEERING
; SURVEYING ENGINEEERING DEPARTMENT
;**********************************************************
;80/05/12 to write area of an object in file areas.xls
(defun c:as()
;settings
(setq th 2.5);text height
(setq p1 '(3160 1161.3)) ;point to write area and perimeter
(setq current_layer (getvar 'clayer'))
;make a region to get area
(setq internal_point (getpoint 'nSelect Internal Point :'))
(command 'bpoly' internal_point ')
(command 'style' 'romanc'
'romanc.shx'
th
'1'
'0'
'
'
'
)
(setq ent (entsel 'nSelect Entity To Get Area :'))
(command 'area' 'e' ent)
(setq a (getvar 'area'))
(setq per (getvar 'perimeter'))
(setq aa (strcat 'AREA = ' (rtos a 2 2)))
(setq pp (strcat 'PERIMETER = ' (rtos per 2 2)))
(setq area_text (strcat current_layer
' = '
(rtos a 2 3)
)
)
;write area and layer number in file areas.xls
(setq filex (open 'areas.xls' 'a'));
(princ area_text filex)
(princ 'n' filex)
(princ area_text)
(princ 'n')
(close filex);
; (setq p2 (list (car p1) (- (cadr p1) (* 1.8 th))))
(command 'TEXT' p1 0 aa)
; (command 'TEXT' p2 0 pp)
)
;**********************************************************
; ALI-ZAMIR ROSHAN , TEHRAN UNIVERSITY
; FACULTY OF ENGINEERING
; SURVEYING ENGINEEERING DEPARTMENT
;**********************************************************
;80/05/27 to write sum of afew distances in file dists.xls
;80/07/14
(defun c:ds()
;settings
(setq th 2);text height
(setq p1 '(3205 1161.3)) ;point to write area and perimeter
(setq curlayer (getvar 'clayer'))
(setq surf_length_layer (strcat 'surf_length ' curlayer))
(command 'style' 'romanc'
'romanc.shx'
th
'1'
'0'
'
'
'
)
(setq dis 0.0)
(while (setq len (getdist 'nSelect Distance :'))
(setq dis (+ dis len));
)
(setq dd (strcat 'Slope Length = ' (rtos dis 2 3)))
(setq len_text (strcat surf_length_layer
' = '
(rtos dis 2 3)
)
)
;write surf Length and layer number in file dists.xls
(setq filex (open 'dists.xls' 'a'));
(princ len_text filex)
(princ 'n' filex)
(princ len_text)
(princ 'n')
(close filex);
(command 'TEXT' p1 0 dd)
)
(PRINC 'n')
(princ 'CHANGE SECTION : AD ***** ')
(princ 'GET AREA : AS ***** ')
(princ 'GET DISTS. SUM: DS')(PRINC 'n')
-----------------
MSE5.LSP
-----------------
;**********************************************************
; ALI-ZAMIR ROSHAN , TEHRAN UNIVERSITY
; FACULTY OF ENGINEERING
; SURVEYING ENGINEERING DEPARTMENT
;**********************************************************
;program to draw section from 3dlines or 3dpolylines
;77/11/27
;3:02 AM 2/16/99
;revised for automatic layer management 80/05/09 21:00
;revised for selection of all section lines at once 80/08/9 10:45 am
;!!!warning :in this program 3dlines must not be in x-x or y-y direction
;and each line of topography has to be in its elevation and must not
;be arc or spline ,besides before applying this program all polylines of
;topography have to be exploded and ucs must be world.
;it is recommended to rotate figure ,the direction inwhich section lines become vertival
(defun c:ms()
;initial settings
(setvar 'cmdecho' 0)
(setq pnts nil ;list of coordinates of intersection points
d_lst nil;list of distances to first point
)
;make new current layer
(setq id (load_dialog 'mse4'))
(new_dialog 'mse4' id)
(setq is_proj 1);
(setq is_topo 0);

(action_tile 'mycol' '(do_color)')
(action_tile 'proj_line' '(do_proj)')
(action_tile 'topo_line' '(do_topo)')
(action_tile 'accept' '(done_dialog)')
(start_dialog)

;select section lines
(setq sset (ssget))
(setq n_lines (sslength sset))
(setq l_index 0)
(repeat n_lines
;reset variables for next section
(setvar 'cmdecho' 0)
(setq pnts nil ;list of coordinates of intersection points
d_lst nil;list of distances to first point
; b_lst nil
; bb_lst nil
; tem nil
)
(setq b (entget (ssname sset l_index)))

(setq sec_layer (cdr (assoc 8 b))) ;layer of line selected
(setq p1 (cdr (assoc 10 b)))
(setq p2 (cdr (assoc 11 b)))
;make project or topography section line layer name
(PRINC IS_TOPO)(PRINC IS_PROJ)
(if (= 1 is_proj)
(progn
(setq layer (strcat 'Project_line_of_' sec_layer))
(command 'layer' 'm' layer 's' layer 'c' col ' ')
)
)
(if (= 1 is_topo)
(progn
(setq layer (strcat 'Topography_line_of_' sec_layer))
(command 'layer' 'm' layer 's' layer 'c' col ' ')
)
)
;get x,y of start and end of section line
(setq xyp1 (list (car p1) (cadr p1)))
(setq xyp2 (list (car p2) (cadr p2)))
;to get all lines in crossing of section line ends
(setq ss (ssget 'c' xyp1 xyp2))
(setq nn (sslength ss))
;to prepare list of intersection points
(setq ii -1)
(princ nn) (princ 'n')
(repeat nn
;select 3dline (intersecting or not )
(setq ii (1+ ii)) (princ ii)(princ 'n')
(setq na (ssname ss ii))
(setq bb (entget na))
;to see if the entity is line
(setq dd (assoc 0 bb))
(setq typ (cdr dd))
(if (= typ 'LINE')
(progn
(setq p3 (cdr (assoc 10 bb)))
(setq p4 (cdr (assoc 11 bb)))
;get x,y of start and end of 3dline
(setq xyp3 (list (car p3) (cadr p3)))
(setq xyp4 (list (car p4) (cadr p4)))
;to see if 3dline intersect section line if so, get x,y of
;intersection point of section (elev = 0)

(setq ip (inters xyp1 xyp2 xyp3 xyp4))
(if (/= ip nil) ;3dline intersects section line
(progn
(setq xip (car ip))
(setq yip (cadr ip))
;get coordinates of start point of 3dline
(setq x3 (car p3))
(setq y3 (cadr p3))
(setq z3 (caddr p3))
;get coordinates of end point of 3dline
(setq x4 (car p4))
(setq y4 (cadr p4))
(setq z4 (caddr p4))
;get z coordinate of intersection point on the 3dline

Free Lisp For Autocad

(setq k (/ (- xip x3) (- x4 x3)))
(setq zip (+ z3 (* k (- z4 z3))))
;to prepare list of intersection points
(setq pnt1 (list xip yip zip))
(setq pnts (append pnts (list pnt1)))
(princ pnt1)(princ 'n')
);progn end
) ;if end
) ;progn end
) ;if end

);repeat end
(princ 'out')(princ 'n')

;to prepare list of distances from begining of section line
(setq len (length pnts)) ;number of points in section
(setq pp1 xyp1 );begining of section line
(setq jj 0)
(repeat len
(setq pp (list (car (nth jj pnts)) (cadr (nth jj pnts))))
(setq dj (distance pp pp1))
(setq d_lst (append d_lst (list dj)))
(setq jj (1+ jj))
)
(princ 'distances :n')(princ d_lst)(princ 'n')
;to draw section after sorting selected points
(setq a_lst nil
b_lst d_lst
)
(command '3dpoly') ;draw 3dpoly of section
(repeat len
(setq minim (apply 'min b_lst))
;loop to find index of minim in d_lst
(setq i 0)
(repeat len
(if (= (nth i d_lst) minim)
(setq index i)
)
(setq i (1+ i))
)
;add min(b_lst) to a_lst
(setq a_lst (append a_lst (list minim)))
;remove min(b_lst) from b_lst
(setq i 0)
(setq bb_lst b_lst)
(setq b_lst nil)
(repeat len
(setq tem (nth i bb_lst))
(if (and (/= tem minim) (/= tem nil))
(setq b_lst (append b_lst (list tem)))
)
(setq i (1+ i))
)
(setq pnt (nth index pnts))
(command pnt)
)
(command ')
(princ 'l_index end =')(princ l_index)(princ 'n')
(setq l_index (1+ l_index)) ;to go to next section processing
);repeat end for sections
)
(defun do_color()
(setq col (acad_colordlg 220))
)
;select colors as global variables color1 ..color(n)
(defun set_color1()
(setq color1 (acad_colordlg 10))
(start_image 'keyimage1')
(setq x (dimx_tile 'keyimage1'))
(setq y (dimy_tile 'keyimage1'))
(fill_image 0 0 x y color1)
(end_image)
)
(defun set_color2()
(setq color2 (acad_colordlg 20))
(start_image 'keyimage2')
(setq x (dimx_tile 'keyimage2'))
(setq y (dimy_tile 'keyimage2'))
(fill_image 0 0 x y color2)
(end_image)
)
(defun set_color3()
(setq color3 (acad_colordlg 30))
(start_image 'keyimage3')
(setq x (dimx_tile 'keyimage3'))
(setq y (dimy_tile 'keyimage3'))
(fill_image 0 0 x y color3)
(end_image)
)
(defun do_those()
(get_tile 'keylayer1')
(setq pnt_lay (get_tile 'keylayer1'))
(setq elev_lay (get_tile 'keylayer2'))
(setq num_lay (get_tile 'keylayer3'))
(setq pnt_col color1)
(setq elev_col color2)
(setq num_col color3)
)
(defun do_proj()
(setq is_proj 1);
(setq is_topo 0);
(PRINC IS_TOPO)(PRINC IS_PROJ)

)
(defun do_topo()
(setq is_topo 1)
(setq is_proj 0);
(PRINC IS_TOPO)(PRINC IS_PROJ)
)
----------------
MSE4.DCL
----------------
mse4:dialog{
label='Draw 3D Section(BBK)';
:boxed_column{
:radio_column{
label='Select Kind Of Section Line ';
:radio_button{
label='Project Line';
key='proj_line';
value='1';
}
:radio_button{
label='Topography Line';
key='topo_line';
mneomonic='T';
}
}
spacer_1;
:row{
:button{
label='Color For Section:';
key='mycol';
width=6;
height=2;
alignment=centered;
value='220';
}
}
spacer_1;
}
ok_only;
}
-------------------
MYAREA.LSP
-------------------
;**********************************************************
; ALI-ZAMIR ROSHAN , TEHRAN UNIVERSITY
; FACULTY OF ENGINEERING
; SURVEYING ENGINEEERING DEPARTMENT
;**********************************************************
;80/05/12 to write area of an object in file areas.xls
(defun c:as()
;settings
(setq th 2.5);text height
(setq p1 '(3160 1161.3)) ;point to write area and perimeter
(setq current_layer (getvar 'clayer'))
;make a region to get area
(setq internal_point (getpoint 'nSelect Internal Point :'))
(command 'bpoly' internal_point ')
(command 'style' 'romanc'
'romanc.shx'
th
'1'
'0'
'
'
'
)
(setq ent (entsel 'nSelect Entity To Get Area :'))
(command 'area' 'e' ent)
(setq a (getvar 'area'))
(setq per (getvar 'perimeter'))
(setq aa (strcat 'AREA = ' (rtos a 2 2)))
(setq pp (strcat 'PERIMETER = ' (rtos per 2 2)))
(setq area_text (strcat current_layer
' = '
(rtos a 2 3)
)
)
;write area and layer number in file areas.xls
(setq filex (open 'areas.xls' 'a'));
(princ area_text filex)
(princ 'n' filex)
(princ area_text)
(princ 'n')
(close filex);
; (setq p2 (list (car p1) (- (cadr p1) (* 1.8 th))))
(command 'TEXT' p1 0 aa)
; (command 'TEXT' p2 0 pp)
)
------------------
MYDISTS.LSP
------------------
;**********************************************************
; ALI-ZAMIR ROSHAN , TEHRAN UNIVERSITY
; FACULTY OF ENGINEERING
; SURVEYING ENGINEEERING DEPARTMENT
;**********************************************************
;80/05/27 to write sum of afew distances in file dists.xls
;80/07/14
(defun c:ds()
;settings
(setq th 2);text height
(setq p1 '(3205 1161.3)) ;point to write area and perimeter
(setq curlayer (getvar 'clayer'))
(setq surf_length_layer (strcat 'surf_length ' curlayer))
(command 'style' 'romanc'
'romanc.shx'
th
'1'
'0'
'
'
'
)
(setq dis 0.0)
(while (setq len (getdist 'nSelect Distance :'))
(setq dis (+ dis len));
)
(setq dd (strcat 'Slope Length = ' (rtos dis 2 3)))
(setq len_text (strcat surf_length_layer
' = '
(rtos dis 2 3)
)
)
;write surf Length and layer number in file dists.xls
(setq filex (open 'dists.xls' 'a'));
(princ len_text filex)
(princ 'n' filex)
(princ len_text)
(princ 'n')
(close filex);
(command 'TEXT' p1 0 dd)
)
----------------
NSEC.LSP (lines for Section lines in elevation=0)
-------------------------------------------------
(defun c:nsec()
(setq cur_layer (getvar 'clayer'))
;select longsection line
(setq a (entsel 'nselect a line for longsection :n'))
(setq b (entget (car a)))
(setq pl1 (cdr (assoc 10 b)))
(setq pl2 (cdr (assoc 11 b)))
(setq pl3 (list
(+ (cadr pl1) 10) (car pl1)
)
)
(command 'ucs' '3point' pl1 pl2 pl3)

(setq dxsec (getreal 'Distance between cross sections:n'))
(setq xsec_name (getstring 'Cross sections name :n'))
(setq xsec_len (getreal 'Cross sections bandwidth :n'))
(setq n_xsec (getint 'Number of Cross sections :n'))
(setq n_x 1)
(repeat n_xsec
(setq pa (list
(* (1- n_x) dxsec)
(/ xsec_len 2)
0
)
)
(setq pb (list
(* (1- n_x) dxsec)
(/ (* -1 xsec_len) 2)
0
)
)
;make layer name for each cross section
(setq layer_name (strcat xsec_name (itoa n_x)))
(command 'layer' 'm' layer_name 's' layer_name 'c' '60' ' ')
(command 'line' pa pb ')
(setq n_x (1+ n_x))
)
(command 'ucs' ')
(setvar 'clayer' cur_layer)

)


Similar Messages:
ADVERTISEMENT

AutoCad :: Make Road Cross Section Using Xyz Data?

Sep 4, 2012

I am using AutoCad 2007. However, I do not know how to make a road cross section using xyz data.

AutoCad :: Plot Data From Excel Table

Sep 28, 2003

If it is possible to plot points (or a PLine, or a mesh) in AutoCAD from a table of values in EXCEL (columns of x,y,z coordinates).

AutoCad 2D :: Change Data From Excel Became Plot Automatically?

Feb 25, 2012

i haved data with in excel with formatting text, i want in autocad automaticly became plot, with format same as with the picture above ..
from excel where is the data will input manually 62038220.jpg
and then in autocad will automatic became .. 31629060.jpg

AutoCAD Print / Plot :: Imports Excel Data Via Paste Special / Link Method

Apr 16, 2013

The company I currently work for imports excel data via the paste special / link method. It works fine, however when i open obviously or plot through sheet set manager specifically and someone is in the excel file i get the read only message and have to click the box in excel to either read only or notify. How can i run plots and not have to check that box?

AutoCad 3D :: Creating Surface For Road At Section

Oct 9, 2013

I am having difficulty in creating a surface for my road in 3d at this section, the points given are along the center lines and so far have been fairly straight forward for the fall of the road as there have been no junction up until now.
I am not using 3dpoly at this point, just plain old lines.
Road 1 displays where i am having issues and Road 2 display how it looks in 2d format (only at an angle)

AutoCAD Civil 3D :: Drawing Road Cross Section?

Apr 30, 2011

I have cross section data of the existing ground in the form of offset elevation. Can i draw cross sections from the this data? I am using Autocad Civil 3D.
Formate of the data for one section is:
Station 12+000
offset Elevation
-25 350
-20 347
-15 348
-10 346
[code]..

AutoCad :: How To Plot L / X Sections Of Road / Canal

Mar 1, 2011

How to draw l section and x sections of canal. I am using autocad 2008.

AutoCAD Civil 3D :: How To Bring In Finished Road Section On Longitudinal Profile

Sep 28, 2013

How to bring in the Finished Road Section on a longitudinal profile @ point on tie in. For example three road A, B and C are tieing in to Road X at different stations. Canon ir2200 driver. I have profile of all the roads. and I want to change the profile of road X with reference to road A,B and C. for that I need reference road section of Road A,B and C on longitudinal profile of road X. How this can be achieved.

AutoCAD Civil 3D :: Road Section View Grid Too Thick In Preview

May 12, 2012

I already check the setting layer assignment with color and linetype all bylayer using the office ctb BUT during preview in plotting it shows too thick. What do I miss to check or do?

AutoCAD Civil 3D :: Corridor Created Using A Primary Road Full Section As Assembly

Jan 31, 2013

I am using C3D 2013, I have a corridor created using a Primary Road Full Section as my assembly, I have all the slopes and ditching set, when I go to model the corridor the ditching is not showing correctly, only small sections of the ditching are showing when I know there should be more. I have the assembly setup to build the ditching when there is less than a meter fill, but will not work.

AutoCAD Civil 3D :: Data Of Existing / Future Ground And Station On Profile Of Road

Dec 18, 2013

How to get automaticly data on the profile. See my road profile in attachment.
Now i have to manually write data of elevation of existing and future ground and distance.
i think that is possible automaticly, but i dont know how.

AutoCAD Civil 3D :: How To Insert Data Of Sample Line In Road Profile - Height And Length

Oct 21, 2013

I made an alignment of road, inserted with sample line, then i made a profile. But on the sample line on profile, there is not a data of height and lenght of profile. How to get those data in road profile. I can manually draw that, but i think there is an easier way?

GIMP :: Plot Routes On Road Map - Line Node Saturation

Dec 9, 2012

I'm trying to plot routes on a road map. A monochrome map is on the background layer and the routes are to go on a transparent routes layer.
I draw the routes with the pencil tool, holding down shift to go from node to node. The pencil opacity is set to 60% so that the road names on the background layer remain visible through the route colour.
All works except that the nodes are higher in saturation than the links between. What seems to be happening is that the adjacent segments overlap at the nodes and the saturations add together.
How to colour in the routes with a consistent saturation?

Free Lisp Book

AutoCAD Civil 3D :: Model Road / Ditch Along Road

Aug 21, 2013

I need to model road with same elevation. But also need to model ditch along road which has a slope of 0.2%. how can i make a ditch with slope.

AutoCAD Print / Plot :: Print / Plot Preview Shows Section Of Drawing

Jan 20, 2012

I'm using autocad 2000 and I have a problem printing & plotting. The print, plot preview only shows a section of the drawing. What settings do I need to change for the entire drawing to print for the paper size I need.

Photoshop :: Make Composite Image From Layer Data Instead From Merged Data Section?

Jun 1, 2013

I am working on parsing the psd file and saving the data as per doc of photoshop 6. I need to make an image from the layer data alone with different combinations of layers selected, visible etc.. and not using the merged data section in the file.

AutoCAD LT :: Generation Of L Section From Excel File?

Aug 23, 2013

We face the problems of generate of L section in AutoCAD 2014 LT when we appload data from notepad the same command is not working (Appload Command is not working) in the same command is working in AutoCad 2010.

AutoCAD LT :: Plot Excel Spreadsheet Within 2009

Mar 16, 2012

I have been trying to plot an excel spreadsheet within LT2009. See attached files.
Test Adobe.pdf was created using 'Adobe PDF' driver, paper size A3. Looks good except for the exta lines running through columns 1 and 9.
Test Dwg to.pdf was created using 'dwg to PDF.pc3' driver, paper size ISO A3 (420x297mm). The excel portion looks good but it has cut off the border all around.
Border size is 410mm x 287mm.
Using Acrobat 9 Pro and MS Office 2010.

Road Cross Section Lisp Free Download Filehippo

AutoCad :: How To Plot L&X Section

Sep 3, 2011

I want to know how to plot L&X section in auto cad 2006 from a excel sheet i have a road data of xyz .

AutoCad :: How To Transfer Data From Excel

Nov 8, 2011

I saw a youtube video 'Cross Section in AutoCAD'.But i could not understand how to transfer the data from excel to AutoCAD.There is a file TMaker.exe to make template of excel data.I could not find that elsewhere on net. Making earthwork x-sections with AutoCAD.

AutoCad :: How To Import Excel Xyz Data

May 29, 2007

I have an excel file containing xyz co-ordinates that i wish to import to AutoCAD (2005).
I realise you can probably do this using the lisp function, but i don't know how they work, and wanted to know if there is an easier way.

AutoCad :: Importing Excel Data

Apr 6, 2010

I am having a problem with my table that I insert from excel into ACAD 2010. The Data in excel is on automatic color and arial text, once imported into ACAD as ACAD entities the data in my table does not want to change to being bylayer as the cell type is set to but instead stays on white. The only way I can change the color is by entering the cell and changing it manually to bylayer.

AutoCAD .NET :: Read Data From A DWG Excel File Using C#?

May 18, 2013

this dwg file data reading with c#?

Free Download Lisp Autocad

AutoCAD .NET :: Export Layer Data To Excel?

Sep 15, 2011

I have been asked to write a module that will export layer data from AutoCAD and put it in an Excel spreadsheet. The user wants to have this done through a macro. I am assuming that I need to create a dll that is called from inside AutoCAD but I am not sure.
They want to start with AutoCAD 2008 and once we get it working there we will convert it to 2011 or 2012.
First of all, I can not find the 2008 API and second of all I'm not sure where to start. I am very experienced at programming. We are going to use VB.NET.

AutoCAD 2013 :: Excel Data Link

Nov 1, 2012

When trying to insert a table linked to an Excel 2010 file, it works up until row 28, however, as soon as I add a 29th row to the table it no longer inserts the table. When I try and insert it, I press ok and nothing happens. I tried inserting it as a smaller table and changing the data link to a bigger range after it was inserted, it just didn't update to a larger range.
Is there a way of getting this to work without having to insert it as two different tables?

Lisp

AutoCad :: 2010 / Data Extraction To Excel?

Sep 21, 2011

Seems like i export the data of thickness, diameter, lenght and mass to excel via dataextraction, but if i change something in the drawing, its not updated in the excel file.
I also wanted to export the data to an already existing part list template, but this seems impossible..

AutoCad :: Exporting Drawing Data To Excel

Jul 24, 2012

Can you take text from a drawing and export it out to excel? My thoughts are room numbers, employee names, department names, etc.
I need an excel spreadsheet showing this information to then upload to my CAFM Application? Is there an alternative to obtaining a report from a drawing?

Road Cross Section Lisp Free Download

AutoCAD LT :: Data Export To Excel File

Oct 13, 2011

Can I export the text from autocad 2012 LT to excel file.

AutoCad :: Creating Block From Excel Data

Oct 24, 2012

Is there a way to create block out of excel data?
I am trying to create multiple block missing in our database, actually i have all the measurement of the fitting inside excel this is mostly elbow and T fitting.
I was thinking of a dynamic block with editable lenght (strech parameter with a mix of constraint). but before digging too deep in a wrong direction i want to ask community if something similar already exist?

AutoCad :: Data From Excel To Block Attributes

Road Cross Section Lisp Free Download 64-bit

Jun 19, 2012

I have some soil boring data captured, in the field, to an Excel spreadsheet; basically, a bore site ID and coordinates.
I'd like to be able to have the coordinate attributes of blocks inserted into my bore site plans populate automatically, perhaps based off of the value of a bore site ID attribute which is manually entered for each bore site.
Alternatively, if there were a way to insert the bore site blocks based off the actual Excel records, populating all attributes and locating the block by the actual X,Y,Z coordinate, that might be even better.